/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.testframework.web;

import javax.servlet.ServletOutputStream;
import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Locale;


/**
 * This class does implement the {@link javax.servlet.http.HttpServletResponse} interface. It is a mock class that
 * serves no other purpose but being used as an instance of {@link javax.servlet.http.HttpServletResponse}.
 * <p/>
 * This class is used in test cases where a non-<tt>null</tt> instance of {@link javax.servlet.http.HttpServletResponse}
 * is needed.
 *
 * @author TCSDEVELOPER
 * @version 1.0
 */
class DummyHttpServletResponse implements HttpServletResponse {
    public void addCookie(final Cookie cookie) {

    }

    public boolean containsHeader(final String string) {
        return false;
    }

    public String encodeURL(final String string) {
        return null;
    }

    public String encodeRedirectURL(final String string) {
        return null;
    }

    public String encodeUrl(final String string) {
        return null;
    }

    public String encodeRedirectUrl(final String string) {
        return null;
    }

    public void sendError(final int i, final String string) throws IOException {

    }

    public void sendError(final int i) throws IOException {

    }

    public void sendRedirect(final String string) throws IOException {

    }

    public void setDateHeader(final String string, final long l) {

    }

    public void addDateHeader(final String string, final long l) {

    }

    public void setHeader(final String string, final String string1) {

    }

    public void addHeader(final String string, final String string1) {

    }

    public void setIntHeader(final String string, final int i) {

    }

    public void addIntHeader(final String string, final int i) {

    }

    public void setStatus(final int i) {

    }

    public void setStatus(final int i, final String string) {

    }

    public String getCharacterEncoding() {
        return null;
    }

    public ServletOutputStream getOutputStream() throws IOException {
        return null;
    }

    public PrintWriter getWriter() throws IOException {
        return null;
    }

    public void setContentLength(final int i) {

    }

    public void setContentType(final String string) {

    }

    public void setBufferSize(final int i) {

    }

    public int getBufferSize() {
        return 0;
    }

    public void flushBuffer() throws IOException {

    }

    public void resetBuffer() {

    }

    public boolean isCommitted() {
        return false;
    }

    public void reset() {

    }

    public void setLocale(final Locale locale) {

    }

    public Locale getLocale() {
        return null;
    }
}
